> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.api.abelpolice.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.api.abelpolice.com/_mcp/server.

# List users

GET https://api.stage.abelpolice.com/v1/users

Reference: https://docs.api.abelpolice.com/api-reference/users/list-users-v-1-users-get

## Request

### Query parameters

- `user_ids` (list of string, optional, nullable) — List of user IDs to filter by
- `agency_ids` (list of string, optional, nullable) — List of agency IDs to filter by
- `user_roles` (list of string, optional, nullable) — List of user roles to filter by
- `limit` (integer, optional, default: 1000) — Maximum number of users to return
- `offset` (integer, optional, default: 0) — Number of users to skip

### Headers

- `x-api-key` (string, required) — API key or token

## Response

### 200

Successful Response

- `users` (list of ListSingleUserResponse, required)
- `metadata` (APIMetadataResponse, required)

## Errors

### 403 Forbidden Error

Access Denied

- `detail` (string, required)

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 500 Internal Server Error

Internal Server Error

- `detail` (string, required)

## Types

### ListSingleUserResponse

- `user_id` (string, required) — User UUID
- `agency_id` (string, optional, nullable) — Agency UUID
- `agency_name` (string, optional, nullable) — Agency name
- `email` (string, optional, nullable) — User email
- `first_name` (string, optional, nullable) — User first name
- `last_name` (string, optional, nullable) — User last name
- `phone_number` (string, optional, nullable) — User phone number
- `badge_number` (string, optional, nullable) — User badge number
- `last_login_at_utc` (datetime, optional, nullable) — User last login date and time
- `created_at_utc` (datetime, optional, nullable) — User created date and time
- `updated_at_utc` (datetime, optional, nullable) — User updated date and time
- `writer_seat_assigned` (boolean, optional, nullable) — Whether the user is assigned to a writer seat
- `writer_seat_assigned_at_utc` (datetime, optional, nullable) — User writer seat assigned date and time
- `writer_seat_unassigned_at_utc` (datetime, optional, nullable) — User writer seat unassigned date and time
- `chat_seat_assigned` (boolean, optional, nullable) — Whether the user is assigned to a chat seat
- `chat_seat_assigned_at_utc` (datetime, optional, nullable) — User chat seat assigned date and time
- `chat_seat_unassigned_at_utc` (datetime, optional, nullable) — User chat seat unassigned date and time
- `global_admin` (boolean, optional, nullable) — Whether the user is a global admin
- `is_onboarded` (boolean, optional, nullable) — Whether the user is onboarded
- `role_name` (string, optional, nullable) — User role name
- `voice_tagging_enabled` (boolean, optional, default: false) — Whether the user has voice tagging enabled

### APIMetadataResponse

- `offset` (integer, required)
- `limit` (integer, required)
- `total_records` (integer, required)
- `total_pages` (integer, required)
- `current_page` (integer, required)
- `has_next_page` (boolean, required)
- `has_previous_page` (boolean, required)
- `records_in_page` (integer, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

- string
- integer

## Examples

**Response**

```json
{
  "users": [
    {
      "user_id": "123e4567-e89b-12d3-a456-426614174000",
      "agency_id": "41db4476-f346-4e7b-a83d-a3a5a5d5d832",
      "agency_name": "New York Police Department",
      "email": "john.mcclane@nyc.gov",
      "first_name": "John",
      "last_name": "McClane",
      "phone_number": "+1234567890",
      "badge_number": "881",
      "last_login_at_utc": "2021-01-01T00:00:00Z",
      "created_at_utc": "2021-01-01T00:00:00Z",
      "updated_at_utc": "2021-01-01T00:00:00Z",
      "writer_seat_assigned": false,
      "writer_seat_assigned_at_utc": "2021-01-01T00:00:00Z",
      "writer_seat_unassigned_at_utc": "2021-01-01T00:00:00Z",
      "chat_seat_assigned": false,
      "chat_seat_assigned_at_utc": "2021-01-01T00:00:00Z",
      "chat_seat_unassigned_at_utc": "2021-01-01T00:00:00Z",
      "global_admin": false,
      "is_onboarded": false,
      "role_name": "officer",
      "voice_tagging_enabled": false
    }
  ],
  "metadata": {
    "offset": 1,
    "limit": 1,
    "total_records": 1,
    "total_pages": 1,
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": true,
    "records_in_page": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.stage.abelpolice.com/v1/users"

headers = {"x-api-key": "<token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.stage.abelpolice.com/v1/users';
const options = {method: 'GET', headers: {'x-api-key': '<token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.stage.abelpolice.com/v1/users"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.stage.abelpolice.com/v1/users")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.stage.abelpolice.com/v1/users")
  .header("x-api-key", "<token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.stage.abelpolice.com/v1/users', [
  'headers' => [
    'x-api-key' => '<token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.stage.abelpolice.com/v1/users");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.stage.abelpolice.com/v1/users")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```